#                Licensed Materials - Property of IBM
#                      Product Number 5697-B82
#     (C) Copyright IBM Corp. 1994, 2002.  All rights reserved.
#
#    US Government Users Restricted Rights - Use, duplication or
#    disclosure restricted by GSA ADP Schedule Contract with IBM Corporation.
#
#  setup_env.sh
#
if [ "`uname`" = "Linux" ] ; then
  BINDIR=/usr/local/Tivoli/bin/linux-s390 
  INTERP=linux-s390
  export INTERP BINDIR 
else
  BINDIR=/usr/local/Tivoli/bin/aix4-r1
  export BINDIR
  LIBDIR=/usr/local/Tivoli/lib/aix4-r1
  export LIBDIR
  o_dispatch=94
  export o_dispatch
  INTERP=aix4-r1
  export INTERP
  PATH="$BINDIR/bin:$BINDIR/ADE:$BINDIR/AEF:$BINDIR/kerberos:$PATH"
  export PATH
  LD_LIBRARY_PATH="${LIBDIR}:/usr/openwin/lib:/usr/lib:/usr/ucblib${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}"
  export LD_LIBRARY_PATH
  set +e; unset WLOCALHOST
  if [ -d "/usr/lib/X11/app-defaults" ]; then
  	XUSERFILESEARCHPATH=/usr/lib/X11/app-defaults/%N${XUSERFILESEARCHPATH:+:$XUSERFILESEARCHPATH}
  	export XUSERFILESEARCHPATH
  fi
  if [ -n "$LIBDIR" -a -d "$LIBDIR/nls" ] ; then
  	XNLSPATH=$LIBDIR/nls${XNLSPATH:+:$XNLSPATH}
  	export XNLSPATH
  fi
  if [ -n "/usr/local/Tivoli/msg_cat" -a -d "/usr/local/Tivoli/msg_cat" ]; then
      NLSPATH=/usr/local/Tivoli/msg_cat/%L/%N.cat${NLSPATH:+:$NLSPATH}
      export NLSPATH
  fi
  if [ -n "/usr/local/Tivoli/man/aix4-r1" -a -d "/usr/local/Tivoli/man/aix4-r1" ]; then
      if [ -z "$MANPATH" ]; then
          MANPATH=/usr/local/Tivoli/man/aix4-r1:/usr/share/man:/usr/man
      else
          MANPATH=/usr/local/Tivoli/man/aix4-r1:$MANPATH
      fi
      export MANPATH
  fi
  #
  # DynaText setup
  #
  DATA_DIR=/usr/local/Tivoli/bin/dynatext/data
  export DATA_DIR
  EBTRC=/usr/local/Tivoli/bin/dynatext/data/.ebtrc
  export EBTRC
  EBTEXECPATH=$BINDIR/bin
  export EBTEXECPATH
fi


